Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.messaging
Interface Message

All Known Implementing Classes:
  MessageImpl

public interface Message
extends Belonging

A text-based communication between two uniquely identified parties. It is used inconjunction with PostOffice and Mailbox classes to provide a simple messaging scheme. Messages and Mailboxes are managed by the `PostOffice`

                      body
     [Message] <*>------> [String]

                      identifier
     [Message] <*>------> [int]

                      creationDate
     [Message] <*>------> [java.sql.Date]

                      from
     [Message] <*>------> [String]

See Also:
  `MessageHome`, `MessageImpl`

Method Summary
`java.lang.String` | `getBody()` Get the value of body
`java.sql.Date` | `getCreationDate()` Get the value of creationDate
`java.lang.String` | `getFrom()` Get the value of from
`int` | `getIdentifier()` Get the value of identifier
`void` | `setBody(java.lang.String body)` Set the value of body
`void` | `setCreationDate(java.sql.Date creationDate)` Set the value of creationDate
`void` | `setFrom(java.lang.String from)` Set the value of from
`void` | `setIdentifier(int identifier)` Set the value of identifier

Methods inherited from interface theory.smart.foundation.Belonging
`equals, value`

Methods inherited from interface com.sun.java.util.collections.Comparable
`compareTo`

Method Detail

### getBody

    public java.lang.String getBody()

  Get the value of body
  Returns:
    body.

### setBody

    public void setBody(java.lang.String body)

  Set the value of body
  Parameters:
    `bodies` - body to be added

### getIdentifier

    public int getIdentifier()

  Get the value of identifier
  Returns:
    identifier.

### setIdentifier

    public void setIdentifier(int identifier)

  Set the value of identifier
  Parameters:
    `identifiers` - identifier to be added

### getCreationDate

    public java.sql.Date getCreationDate()

  Get the value of creationDate
  Returns:
    creationDate.

### setCreationDate

    public void setCreationDate(java.sql.Date creationDate)

  Set the value of creationDate
  Parameters:
    `creationDates` - creationDate to be added

### getFrom

    public java.lang.String getFrom()

  Get the value of from
  Returns:
    from.

### setFrom

    public void setFrom(java.lang.String from)

  Set the value of from
  Parameters:
    `froms` - from to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.